
  <!DOCTYPE html>
  <html>
    <head>
      <title>Modal.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Modal/Modal.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">58</td><td class="">58</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React from &#x27;react&#x27;;
import clsx from &#x27;clsx&#x27;;

import s from &#x27;./Modal.module.scss&#x27;;
import { BaseComponent } from &#x27;../../utils/BaseComponent&#x27;;
import closeIcon from &#x27;./assets/close.svg&#x27;;

export interface ModalProps extends BaseComponent {
  title?: string;
  onClose?: React.MouseEventHandler&lt;HTMLImageElement&gt;;
}

export const Modal: React.FC&lt;ModalProps&gt; = ({
  className,
  onClose,
  title,
  children
}) =&gt; {
  return (
    &lt;div className={s.Modal__overlay} onClick={(e) =&gt; e.stopPropagation()}&gt;
      &lt;div className={clsx(className, s.Modal)}&gt;
        {title ? &lt;div className={s.Modal__title}&gt;{title}&lt;/div&gt; : null}
        &lt;img
          alt=&quot;close icon&quot;
          onClick={onClose}
          className={s.Modal__close}
          src={closeIcon}
        /&gt;
        &lt;div className={s.Modal__content}&gt;{children}&lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  